Copyright: © 1996 Corel Corporation. All rights reserved.
Citation: © 1996 Corel Corporation. All rights reserved.


Corel Technical Support

Corel Support Services

Error Messages:

Unexpected Condition Error Messages

Other Common Error Messages

Troubleshooting Tips

Printing Information

Import/Export - File Transfer Information

INI Files


Corel Support Service
Corel support services

Corel recognizes that support needs vary from user to user, and we offer you a wide range of choices when you need answers to your technical queries and problems using CorelCAD.

If you have a question about CorelCAD features and functions, consult the Online Help.

You can also find late-breaking updates and technical information by double-clicking the Readme Icon in the Corel Graphics program group.

If you cannot find the answer in these locations, you can speak to a Technical Support Representative located in North America or in Europe.

If you have problems after hours or on weekends or holidays, you can contact IVAN - our Interactive Voice Answering Network or the Automated FaxBack System.

We also offer Electronic Support Services in the form of a Bulletin Board, an Internet World Wide Web site, and an FTP site.

How to reach Corel in North America

How to reach Corel worldwide

IVAN

Electronic support options

How to use Automated FaxBack System


Unexpected Condition Error Messages

Please check the following items after restarting your machine:

•	Can you repeat the error?

•	Does it occur at the same time consistently?

If the answer to either question is yes, please make note of the steps taken to reproduce or cause this error, along with information about your system and its setup and call Technical Support.

If the answer is no, try using the suggestions provided in the IPF Error troubleshooting Section.


Common Error Messages
Other common error messages

Invalid Page Faults (IPF)

OLE problems


Troubleshooting
Troubleshooting tips

Enhancing system performance

Troubleshooting techniques

Tips & tricks for troubleshooting


Dealing With Fonts and Text
Working with fonts & text

How to install TrueType fonts

How to install Adobe Type 1 fonts


General Printing Tips
Printing information

What to do if your print job doesn't print

Troubleshooting printing problems


File Transfer Information
Import/Export - File transfer information

Import filter features & limitations

Export filter features & limitations

OLE


How to reach Corel in North America

Technical Support

Corel is committed to providing customers with high quality, timely technical support, with options to meet a wide range of customer needs. This document will introduce you to the variety of support services we provide.

Principal Technical Support Services

1-613-728-6418

Free technical support is available to you for 30 days from your first call to technical support. When your principal support has expired you may choose from the following Basic Services or select one of our Extended Support Services listed below. Principal support is available Monday through Friday from 8:30 am to 7:30 pm EST.

Corel offers the following technical support options, most of which are available 365 days of the year, 24 hours a day.  If you prefer not to pay for support or encounter problems in off-hours, these services will be helpful:

Free Support Services

These services include IVAN, our Interactive Voice Answering Network and the Automated FaxBack System.

Extended Technical Support Services

For details on the support options available after your principal support expires, please contact Corel Technical Support at 613-728-6418.

Before You Call

Before calling Technical Support, please have the following information available.  It will assist the Technical Support Representative in helping you with your problem more quickly and efficiently:

•	A brief description of the problem including the exact text of any error messages received, and the steps to recreate it.

•	Type of computer, monitor, pointing device (e.g., mouse, tablet), printer and video card (display adapter) in use.

•	The versions of Microsoft Windows and the Corel product in use.  Choose the About Windows 95 command from the Help menu in Explorer to find which version of Windows you are running.

•	A list of any programs loaded into RAM (e.g., TSRs).  Check the Startup folder in the Programs menu to determine if you are running any other programs.

If you are calling Technical Support for assistance with Corel SCRIPT, please note that Technical Support Representatives can only answer questions on SCRIPT commands, statements, functions and syntax.  They cannot evaluate your script for soundness or efficiency, nor can they debug your script.

Customer Service in North America

Customer Service Representatives answer questions about specifications and pricing, and sell all of the Corel products.  They can also issue replacement disks.  There is no charge for calling Customer Service.

General customer service and product information can also be accessed through the WorldWide Web at http://www.corel.com.

Telephone Numbers

1-800-772-6735  (US and Canada only)

Internet

custserv@corel.com

Customer Service

Corel Corporation, c/o UCA&L
P.O. Box 3595
Salinas, California
93912 - 3595


How to reach Corel worldwide

Worldwide Technical Support

Corel customers residing outside North America can contact Corel Technical Support Representatives in Dublin, Ireland or a local Authorized Support Partner.  The Corel Support Representatives in Ireland handle calls in the following languages: German, French, Spanish, Italian, Dutch and English. Calls are handled on toll lines.  A charge will appear on your telephone bill, but there is no additional charge by Corel for the technical support.

Principal Support

Free technical support is available to you for 30 days from the day you place your first call to technical support. If you require technical support beyond your principal period, see Extended Technical Support services listed below.

Access Numbers for Corel Technical Support

Dutch	+(353) 1-708-2366
English	+(353) 1-708-2333
French	+(353) 1-708-2355
German	+(353) 1-708-2344
Italian	+(353) 1-708-2377
Spanish	+(353) 1-708-2388

Extended Technical Support services

To request an up-to-date listing of Corel’s Authorized Support Partners worldwide, and a copy of Corel's extended technical support policy, please contact Corel Technical Support.

Australian Authorized Support Partner

Support24	07 55 918 043

Customer Service Worldwide

Customer Service Representatives answer questions about specifications and pricing, and sell all of the Corel products.  They can also issue replacement disks.

Customer Service worldwide is handled by Alexander and Lord, Dublin, on behalf of Corel Corporation.  Customer Service for any country not listed below is handled on a toll-line at +(353)1 706 3912.

Telephone Numbers

Austria	0660 5875
Belgium	0800 11930
Denmark	800 18755
France	0590 6512
Germany	01 308 15074
Holland	0602 22084
Italy	1678 74791
Norway	800 11661
Spain	900 953538
Suisse	155 8224
Sweden	0207 91085
UK	0800 581028

Customer Service in Australia

Micromatch Pty. Lmiited	1 800 658 850

Micromatch Pty. Lmiited
7B Green Street
Brookdale, NSW
2100, Australia

Customer Service

Corel Corporation, c/o UCA&L
49 B Bracken Road
Sandyford Industrial Estate
Sandyford, Dublin, Ireland

See also

IVAN

Electronic Support Options

How to use Automated Fax System


How to use the FAXBACK System
How to use the Automated FaxBack System

Technical Support maintains an Automated FaxBack System where up-to-date information about common issues and tips and tricks is stored in numbered documents.  If you have a fax machine, you have access to this service 24 hours a day, 365 days a year.  There is a catalogue of documents available.  You can fax this catalogue to yourself and then order any document at your convenience.

Calling the Automated FaxBack System

To access the Automated FaxBack System, dial 613-728-0826 and request extension 3080.  You will then be prompted for a document number and your own fax number.  The document you request will be automatically sent to you.

To Obtain a Catalogue of Document Numbers:

Call the Automated FaxBack System number and request document 2000.


Electronic Services
Electronic support options

BBS

Technical Support operates a BBS service, where customers are able to download any available program files that have been modified by our engineers, between releases.  Also, during the process of providing technical support, an agent may request that you upload troublesome files to the BBS.

Calling the BBS

•	(613) 728-4752 or

•	(613) 761-7798

•	Both lines are set for 8 bit word, 1 stop bit, no parity.  The supported speeds on these Hayes 288 modems are 2400-28,800 baud

CompuServe

Technical Support operates a forum on CompuServe.  Periodic updates or patches are made available in the Corel Forum.  You will also often fund utilities and interesting information that forum members have made available.  Interact with other users and Corel Technicians to obtain product information and support.

For quick access to forums on CompuServe, type GO COREL.

Internet - WorldWide Web Site

For late breaking technical news and information on all Corel products, visit our WWW home page at http://www.corel.com. From the home page, you can access Corel’s Technical Knowledge base, as well as corporate, marketing, and product information.

FTP

You can download updates, patches and utilities by accessing our anonymous FTP site at ftp.corel.com .


IVAN

IVAN is our Interactive Voice Answering Network.  This system contains answers to commonly asked CorelCAD questions, and allows you to resolve the problem yourself 24 hours a day, 7 days a week.  This system is regularly updated with the latest information, tips & tricks and also provides a feature whereby customers can request that IVAN’s solutions be faxed to them.

Calling IVAN

Dial (613) 728-1990.  There is no charge for the IVAN service beyond the cost of the telephone call.


Diagnosing IPFs and System Lockups
Diagnosing IPF's and system lockups.

Make sure that you have a WINDOWS 95 STARTUP DISK prior to any troubleshooting process.  This can be created either during the installation process of Windows 95 or by selecting "Start \ Settings \ Control Panel \ Add-Remove Programs \ Startup Disk \ Create".

For recovery purposes, you may also want to copy the SYSTEM.DAT, CONFIG.SYS, AUTOEXEC.BAT, WIN.INI and SYSTEM.INI files, plus any CD-ROM or other device drivers to a subdirectory on the STARTUP diskette, or to another diskette if there is not enough disk space.

1.	Save files that are currently open, if possible.

2.	If the lockup occurred while working in CorelCAD, check for "Backup of" or "AutoBackup of" files on the system. These are CorelCAD autobackup files that may be used to recover the file you were working on.

3.	Exit from all applications.  Select "Shut Down... \ Close all programs and log on as a different user?" or "Shut Down... \ Restart the computer" while holding down the SHIFT key until the "Starting Windows 95" appears.

4.	Ensure that the system meets Corel's minimum requirements.

5.	Make sure that the TEMP directory has ample space provided.  Windows 95 supports TEMP files on compressed drives, however, try relocating the TMP’s to an uncompressed drive if necessary. If you are using a modified Temp directory path, ensure that a valid SET TEMP statement is in the AUTOEXEC.BAT file or check from the Command Prompt by typing SET.

6.	Optimize the drive.  "Start \ Programs \ Accessories \ System Tools \ Disk Defragmenter".

7.	Check system resources, "Start \ Programs \ Accessories \ System Tools \ Resource Meter".  This will place the meter in the bottom right hand corner.  Double-clicking on the icon will display the statistics.

8.	Restart the system.  When the "Starting Windows 95" message appears, press F8.  Choose Step-by-Step Confirmation.  Select YES for all lines EXCEPT select NO for processing the AUTOEXEC.BAT and CONFIG.SYS files.

9.	Change to the standard VGA display driver.  Select "Start \ Settings \ Control Panel \ Display \ Settings \ Change Display Type... \ Adapter Type Change \ Show all devices \ Standard Display types \ Standard Display Adapter (VGA)".

10.	Check to see if devices (CD-ROM, Display Adapters, Monitor, Mouse, Sound) are operating properly.  Select Start \ Settings \ Control Panel \ System \ Device Manager.  By double-clicking on a device and viewing the properties you can check the Device Status. Ensure that all device drivers are 32-bit Windows 95 compatible.

11	Check the System Performance, Control Panel \ System \ Performance. In the Advanced Settings section, click the File System button and change the Typical role of this machine to Network server, the Read-ahead optimization to either None or Full (try both) and click OK. Click the Graphics button. move the hardware acceleration slider to none and click OK. Click the Virtual Memory button and enable the "Let me specify my own virtual memory settings," choose a NON-COMPRESSED drive, use a minimum of 10MB and a maximum of 30MB (increase as necessary).

12.	Disable the Virtual Memory and Re-Optimize the drive.  Enable the Virtual memory and let Windows manage it.

13.	Restart the system.  When the "Starting Windows 95" message appears, press F8.  Choose Safe Mode.  This will bypass the startup files including the Registry, CONFIG.SYS, AUTOEXEC.BAT files and the [Boot} and [386Enh} sections of the SYSTEM.INI file.  This will reduce the system to a standard VGA display driver.

14.	When the "Starting Windows 95" message appears, press F8, choose Command prompt only.  Start Windows 95 with:
WIN /D:F	This disables 32 bit disk access.  ** Use this for disk access problems **.
WIN /D:X	This disables the adapter area (from A000 to FFFF) which Windows 95 scans for unused space.

15.	Uninstall the application.  Select "Start \ Settings \ Control Panel \ Add-Remove Programs"  Select the application to uninstall.  Reinstall the application when finished.

16.	Use \WIN95\SYSTEM\MKCOMPAT.EXE for 16 bit applications causing problems.

17.	If none of these steps resolve the problem, please contact Technical Support for further assistance.


OLE Problems

Sometimes the registry file becomes damaged, generating OLE Error Messages in the Corel applications.  If you encounter these error messages, close the Corel application and open the Windows Explorer.  Double click on REGEDIT.EXE.  If this file opens, you will see the Registration Information Editor.  Locate the Corel application which had the OLE problem and delete it from the list.  You can do this by highlighting the item, then clicking on Edit and Delete File Type.  Then, exit from the Registration Information Editor and exit and restart Windows.  When you open and close the Corel application, it will re-register itself in the registry.


Performance Enhancements
Enhancing system performance

Here are a number of considerations for improving the performance of CorelCAD:

•	The microprocessor and clock speed are important e.g.,. a 586-60 will run Corel applications more quickly than a 486-33.

•	A math co-processor will enhance the performance of some functions.

•	Ensure that you have at least 20 megabytes of free disk space on the drive where Window *.TMP files will be created ( you can determine the location of this directory by running the SET command at the DOS prompt).

•	Ensure that you have 10-20 megabytes of free disk space on the drive where you store your Corel files.

•	Follow the suggestions in the chapter on Optimizing Windows in your Windows 95 or Windows NT User's Guide.

•	Establishing a SWAP file to provide Windows with 'extra memory'.  See your Windows 95 or Windows NT User's Guide for more details.

•	Consider an accelerated video card.  We unfortunately cannot make recommendations on any hardware.


Basic Troubleshooting considerations
Troubleshooting techniques

While working in CorelCAD, you may encounter problems printing, saving files, opening files, importing, exporting, etc.  Though each individual problem may have a different cause, there are some general steps you can follow in attempting to troubleshoot your problem.  In many cases it will save you a call to Technical Support!

1.	Can you duplicate the problem?

Try performing the same function again.  This is the first step in troubleshooting.  Occasionally, a temporary memory problem will interrupt a function, and simply trying again will allow you to complete that task.

No

It is difficult to identify the cause of problems that can't be reproduced.  Continue working, but take note of operating conditions if the problem does occur again.  This will enable Technical Support to assist you more effectively if you decide to call.

Yes

If you can duplicate the problem, it may be file, program or system specific.  Proceed to Step 2.

2.	Is the problem system specific?

This step is sometimes appropriate at the beginning of a troubleshooting session and is sometimes left to the end.  Before spending a lot of time analyzing the cause of a problem, it is often a good idea to determine if the problems occur only on one system.

If you have access to another computer, try the function or file there.  Or, if the problems are printing related, try using a different printer.  If the problems persist on more than one system, zero in on file specific issues.  If not, concentrate on the system settings, installation, and finally hardware issues.

If you do not have access to another system running CorelCAD, proceed to the next step.

3.	Is the problem file specific?

If you can reproduce the problem consistently, the culprit may be the file itself, the Corel program or something about your particular system. This step attempts to determine if the problem is unique to this file or if it may be caused by a program or system issue.

If you are having problems saving, printing or exporting, etc., try opening another file of the same type and perform the same function.  If subsequent file works properly, you are most likely dealing with a file that contains one or more corrupted objects or the file may too complex for the particular function you are trying to perform.

If you are having problems opening or importing, try opening or importing other files into the same application.  Also, try taking the problem file in other applications. e.g.,. if you have trouble importing a DXF file into CAD, try taking it into a different Windows application.  The goal, again, is to determine whether problems are contained in the file or are caused by something else.

4.	Is the problem software specific?

If a problem can be reproduced but is not limited to just one file, then the problem is being caused by either the Corel program, other software on the system e.g.,. drivers, Windows, etc., or by hardware.

If it is possible, try the same files and functions on another system running CorelCAD, determine whether the root of the problem is based on one system as opposed to being software generated.  If this test is not possible, try to collect as much information as possible about whether the problem occurs only in Corel applications.  You can do this by trying to perform similar functions, i.e. printing or importing, into other Windows applications.  If problems appear in other applications, then the cause is within the operating system of the computer hardware itself.  Sometimes video or printer drivers can cause problems.  There may even be problems with a particular Windows setup.

If following the above steps do not allow you to resolve the problem you are encountering, you may wish to contact Technical Support.

Dealing With Complexity Issues

•	Reduce the number of nodes in a complex path.

•	Reduce the number of fountain stripes if the file contains fountain fills.

•	Do not combine text with other objects (to create masks and clipping holes).

•	Break a complex object into smaller less detailed objects.

•	Remove any extraneous outlines.

•	For PostScript printing problems, try setting the Number of Points in Curves to 300 (in Print Options; Options tab), and turning on Auto Increase Flatness.

•	For printing, saving, or exporting problems, try marquee selecting only some of the objects and use the Selected Objects Only feature to determine the complexity or number of objects limit in this file.

•	Click on Edit; Select All to ensure that there are no stray objects off the page.

•	Reduce the number of objects (PHOTO-PAINT only).

•	Reduce the complexity of the mask (PHOTO-PAINT only).

•	Reduce the resolution of the image (PHOTO-PAINT only).

Dealing With Corrupted Objects or Files (CorelCAD only)

•	Open the problem file.  Select one object, then use Shift+Tab to scroll through the objects on the page.  Sometimes a very small object that you didn't notice will become selected.  This object may be corrupted.  Try deleting the object or dragging it off the page.  Then save the remaining objects using ‘Selected Only’ on the Save screen.

•	Another way to locate a corrupted object within a file is to marquee select half of the objects, then print, save, export as required, using the Selected Objects Only feature.  If a problem occurs again, marquee select a smaller number of objects until you locate the corrupted object by process of elimination.  Then try to delete the object.

•	Try saving the file as a version 5.xx file or exporting as CGM if you are having trouble saving, printing or exporting.  Re-open or import the file and try again.

•	For large files, often the error can be reproduced by selecting the offending object and copying it to the clipboard. To isolate the object. Marquee select half of the objects on your page and copy them to the clipboard. If no error occurs, then marquee select another area and try the same. Once the error occurs you will need to select fewer objects from that area and continue with the copying process until you have located the offending object. Once identified, delete and recreate it.


Tips and Tricks for Troubleshooting
Tips & tricks for troubleshooting

The Impact of CORELAPP.INI

This file contains default settings that are established in CorelCAD.  It may become corrupted over time and cause a number of problems.  You can try deleting this file as CorelCAD will regenerate it the next time you open the program.  You will find it in the \COREL\CONFIG subdirectory.  Make sure you have exited from the application before you delete this file.

Damaged Program Files

If you suspect problems with program files including import and export filters, you may want to consider running the SETUP program again, and re-installing the portions of the program that may be causing problems.


How to install True Type fonts

The True Type engine is internal to Windows which means that you do not require a third party font manager to use True Type fonts in Windows applications.   In order for an application to make use of a particular True Type font, that font must be installed through Windows.  This holds true for CorelCAD and any other Windows compatible application that supports True Type fonts.

Windows NT

There are two files associated with an installed font; the True Type font file (extension TTF) and the resource file (extension FOT).  During the CorelCAD installation, both files, for each True Type font will be copied into the WINDOWS\SYSTEM or the WINNT\SYSTEM directory.  Windows NT requires that the FOT (resource) files reside in this directory.  The TTF file does not have to be in this same directory but the FOT file maintains a pointer to the TTF file.  It is important that the TTF file is not moved or deleted from the directory it gets installed into.  If you think this may have happened, it is always safe to remove and re-add the font through the Windows NT Control Panel.

In order to add third party or custom True Type fonts one should follow the Windows NT True Type font installation procedure.  This involves accessing the Fonts dialog box through the Windows NT Control Panel.  Once a font has been installed into Windows NT, it will be available in all applications.  This installation option is a good choice when adding one or two fonts.

Windows 95

In Windows 95 there is only the True Type font file (extension TTF).  These files are registered during the install of CorelCAD

In order to add third party or custom True Type fonts one should follow the Windows 95 True Type font installation procedure.  This involves installing the soft fonts on to your hard disk.  Then use the Fonts tool in the Windows 95 Control Panel to register the fonts in Windows 95.  Once a font has been installed into Windows 95, it will be available in all applications.


How to install Adobe Type 1 fonts

The use of Adobe Type 1 fonts under Windows 95 is made possible by the Adobe Type Manager (ATM) version 3.01 and 3.02.  In order  for an application to make use of a particular Type 1 font, that font must be installed correctly through ATM.  This holds true for CorelCAD and any other application that supports Adobe Type 1 fonts.

The Corel CD #1 has a fonts directory that contains all 120 of CorelCAD's fonts in True Type (TTF) format.  The install will setup the True Type fonts in Windows.

When installing CorelCAD select Custom Install and do not install any of the fonts.  The install procedure sets up the True Type fonts only.  The ATM fonts must be manually installed.

•	Run the ATM Control Panel.

•	Select the Add Fonts button and then select the CD-ROM drive and the FONTS\ATM directory , then the subdirectory where the fonts are located.

•	Select some, or all, of the fonts and then touch the Add button.

•	Once the fonts have been added, close the ATM Control Panel.

•	Restart Windows.

Once a Type 1 font has been installed into ATM it will be available for use in Corel applications (NOTE:  if a True Type font of the same name is also installed, the Type 1 font takes priority when name conflicts occur).


What to do if your print job doesn't print

When you print a file through a Corel application:

1.	Corel processes the information. You will see a progress meter increase to 100%.

2.	If the process is completed successfully, the print job will be passed to the Windows Print Spooler.

3.	If everything runs smoothly, the print job will then be passed to the printer.

At any one of these stages, the process may break down.  The first step in determining where the problem lies is to identify at which of the above three steps printing stopped.

If you encounter problems while printing a file, consider the following troubleshooting tips in an attempt to determine where the problem lies and how to resolve it

Printing Stops in the Corel Application

•	Exit and re-start the Corel application.

•	Has the file printed before? Is this a repeatable problem?

•	Is it one file or all files which are having print problems?

•	Ensure that the default printer is correct.

•	While working in an application, temporary files are created and placed on your system. Exit Windows completely delete any .TMP files found in the Windows temp directory. While here, ensure that you have at least 15-20 MB of free disk space.

•	Check system resources under Programs\Accessories\System Tools\Resource Meter and free memory for each drive from Windows Explorer by highlighting the drive icon, right-clicking, and choosing Properties from the flyout menu.  If these values are low, exit and re-start Windows.  Also make sure you do not have other Windows applications running.

•	Is the Print Spooler on?  Try disabling it.

Printing Stops in the Print Queue

•	Select the Printer Properties for the Printer from the Printer folder in the Windows Control Panel. Select the Details tab and increase the value for the Transmission retry.

•	Check Load and Run statements in WIN.INI.  Programs and utilities can be set to run automatically when Windows is started by adding references to these lines.  Type a semi-colon (;) in front of either line if there is anything referenced.  Remember to save, exit and restart Windows after making changes to the WIN.INI.

•	Move any icons found in the Windows Startup group to another icon group.

•	While working in an application, temporary files are created and placed on your system. Exit Windows completely delete any .TMP files found in the Windows temp directory. While here, ensure that you have at least 15-20 MB of free disk space.

•	Make sure you are using a Windows 95 or Windows NT compatible printer driver.

•	Will other Windows applications print? If not, look at Windows setup or configuration issues as the problem will be occurring within the operating system or the system hardware.

Printing Stops in the Printer

•	Maximize time-outs on the printer if possible.  Refer to your printer documentation for instructions.

•	Check time-outs on the network, if applicable.

•	Check to see how much RAM is resident in the printer. A minimum of 1.5 megabytes is required to print a full page of graphics to a 300dpi device. To print fairly complex files, we recommend a minimum of 8 megabytes of RAM in the printer. (Note: some files may require more than 8 megabytes).

•	Do you print directly or through a switchbox or network.  If possible, try connecting directly.

•	Make sure you are using an up-to-date printer driver.

Printing tips and tricks

The printer drivers that ship with Windows 95 are developed in whole or in part by Microsoft for a set line of products that were already released to the pubic.

In most cases, printers that have been recently released do not have Windows 95 drivers supplied with the operating system.  Most major manufacturers will follow with Windows 95 drivers in the months shortly after the release of Windows 95.  Until this time, most Windows 3.1 drivers work with a few side effects.  This may explain some difficulties you encounter.  If the problem is too serious to wait for a new driver release, try using a driver for a similar type printer of the same manufacturer.

If you send a file to print and receive no output or partial output, try the following suggestions:

Finding and dealing with a corrupted object

If your file prints to a certain point and then stops, you may have a corrupted object in the file.  The output is created in the same order as the objects were created and therefore finding the offending object is as simple as locating the object created after the last printed one. To do this select the last printed object, hold down the shift key and hit the tab key once. The object currently selected is most likely the source of the problem.

A second possibility exists to isolate the offending object. Split the graphic into four quadrants and "print selected only" each quadrant. By process of elimination you should be able to find which quadrants do not print until you have split the sections up leaving only one object unprintable. If in fact this object does not print by itself, you can delete and re-create it or reduce its complexity as follows.


Troubleshooting printing problems

Printer Drivers

Corel does not develop or distribute printer drivers.  We rely on the printer manufacturer or Microsoft to provide drivers that are supported in the Windows environment.  If you can print in Windows, you should be able to print from Corel applications.

Printed Output Is Incorrect

•	If you print a file from Corel and the output is incorrect:

•	Check the print preview.  The print preview displays the file exactly as it should print out.  If this screen does not look correct, the print-out will not be correct either.

•	Check cables and connections for potential communication problems.  A telltale sign of communication problems are ASCII characters appearing on your page where graphics should be appearing, i.e. happy faces, stars, etc.

•	Make sure you are using the most up to date printer driver.

•	Check the Automated FaxBack System catalogue for topics dealing with specific printing problems.


About OLE 2.0
OLE

OLE stands for Object Linking and Embedding.  Designed by Microsoft, and first introduced in Windows 3.1, OLE allows you to easily move information from one application into another.  You can edit this information from within the second application, meaning you no longer have to delete and re-copy.  Embedding means that information from one application resides in a second document and is stored with it.  Linking means that information from one application is tied to a second document and can be updated when changes are made in the first application, but that information is not actually stored with the second file.

OLE in CorelCAD:

OLE Registration - REGEDIT.EXE

1.	During the installation of CorelCAD, OLE files are installed into \WINDOWS\SYSTEM directory.

2.	In order to have OLE function correctly, Windows ‘registers’ all applications with OLE capabilities in files called USER.DAT and SYSTEM.DAT.  You can modify the registration information by opening an application called REGEDIT.EXE. These files are found in the \WINDOWS directory.


INI Files
INI files and other customizable files

The user interface in CorelCAD has been modified in such a way that  you rarely need to open INI files in order to customize the program  settings. In fact, many of the settings that were offered in the various INI files have now been removed, since most controls can be set through the user interface of the applications in CorelCAD.

The INI files that are noteworthy in CorelCAD are the CORELAPP.INI ,which controls settings for all applications, and the individual .INI files for each specific application.


CORELDRW.INI
Application-specific .INI files

These files contain a few switches for users to modify, but primarily keep track of settings made through the user interface. These files can occasionally become damaged and result in strange things happening during your work session such as the inability to print or save, etc.  You can delete the .INI file if you suspect it has become damaged.  Corel will automatically regenerate the file the next time you open the application. Make sure you exit from the application before deleting this file.


CORELAPP.INI

This file contains switches and settings that affect the working environment of all Corel applications.  The file can be modified by opening it in a text editor or word processor and referring to the information below:

[Config] section

Contains the following information required to run the CorelCAD applications:

ProgramsDir=<?>

Directory for program files

•	Default: C:\COREL\PROGRAMS

DataDir=<?>

Directory for data files

•	Default: C:\COREL\PROGRAMS\DATA

CustomDir=<?>

Directory for custom files

•	Default: C:\COREL\CUSTOM

ColorDir=<?>

Directory for color files

•	Default: C:\COREL\COLOR

DrawDir=<?>

Directory for Draw files

•	Default: C:\COREL\DRAW

Dream3DDir=<?>

Directory for Dream 3D files

•	Default: C:\COREL\DREAM3D

FontMasterDir=<?>

Directory for Font Master files

•	Default: C:\COREL\FONTMSTR

MediaMgrDir=<?>

Directory for Media Manager files

•	Default: C:\COREL\MEDIAMGR

PhotoPaintDir=<?>

Directory for Photo-Paint files

•	Default: C:\COREL\PHOTOPNT

PresentsDir=<?>

Directory for Presents files

•	Default: C:\COREL\PRESENTS

TraceDir=<?>

Directory for Trace files

•	Default: C:\COREL\OCRTRACE

FontsDir=<?>

Directory for custom symbols

•	Default: C:\COREL\SYMBOLS

FiltersDir=<?>

Directory for import and export filters

•	Default: C:\COREL\FILTERS

MapDir=<?>

Directory for mapping files

•	Default: C:\COREL\MAPVIEW

Motion3DDIR=<?>

Directory for the Motion 3D files.

•	Default: C:\COREL\MOTION3D

ScripsDir=<?>

Directory for the script files.

•	Default: C:\COREL\SCRIPTS

Depthdir=<?>

Directory for the Corel DEPTH files.

•	Default: C:\COREL\DEPTH

Fountain Presets=<?>

Specifies file for fountain fill presets.

•	Default: C:\COREL\coreldrw.ffp

Language=<?>

Specifies the dictionary (Spell Language\Spelldict) accessed by Corel applications.

•	Default: English

FontRasterizer=<0 or 1>

Enable/disables the internal font rasterizer. The rasterizer improves the appearance of small sized fonts.

1	enables the font rasterizer

0	disables the font rasterizer. Disabling may be necessary for printer drivers that have problems with the rasterizer. A symptom of this would be text printing incorrectly.

•	Default: 1

TTFOptimization=<0 or 1>

Speeds up the access to the True Type font engine.

0	disable, uses Windows TrueType driver

1	enable, uses internal TrueType driver

•	Default: 1

TextureMaxSize=<  to 2048>

Allows you to set the ‘resolution’ of a bitmap texture fill.  The value represents height and width in pixels.

•	Default: 257

UseClippingForFills

Most device drivers support clipping. Corel assumes that the device is using its own clipping routine, but if this is not so, you may encounter slowdowns in print time or screen re-draw.  Enable Corel's clipping routine, as follows, to speed up these operations:

3	Use device's clipping; do not use Corel's

2	Use device's clipping routine on print devices only

1	Use device's clipping routine on display devices only

0	Do not use device's clipping; use Corel's

•	Default: 7

CPU For Bitmap Display Stretch =<?>

If display colors are not correct at zoom levels greater than 100%, change the setting to 0.

•	Default: 1

CPU For Bitmap Display Shrink = <?>

If display colors are not correct at zoom levels less than 100%, change the setting to 0.

•	Default: 1

[Color Calibration] section

This section contains settings that affect the program’s color calibration feature.

SystemColorProfile=<?>

Defines the system color calibration profile generated by the user or defaults to _default.ccm.

•	Default: _DEFAULT.ccm

ProfileMatchMode=<0, 1 or 2>

Three modes of operation are available for color matching in the user profile.

0 = Automatch

1 = Photographic

2 = Illustration

•	Default: 0

Gamut Alarm Colors = <?>

The Gamut Alarm colors are set in the Tools-Options dialog box in Corel PHOTO-PAINT

•	Default: RGB 255, 0, 255, 0, User

Use Printer Circuits = <?>

Allows greater accuracy when selecting colors.

•	Default: 0

[TempPaths] section

Cleanup=<?>

Any TMP files created by Corel applications e.g., CBP.TMP, that are saved due to abnormal program termination e.g., rebooting or IPFs, are automatically deleted at startup of a Corel application.  A different value is reflected in the Cleanup line depending on whether a Corel application is running.

0 = Application is running

1 = Application shut down properly

Drive\TEMP=<?>

Refers to the temp drive locations and the order in which they will be utilized, e.g., 0=C:\TEMP (primary), 1=D:\TEMP (secondary).

[ClipboardCorelMetafile] section

This section specifies the contents of the CorelMetafile which is placed on the clipboard by CorelCHART and CorelCAD.

[Directories] section

This section defines the default directory for stored vector files.

[Applications] section

This section defines the path to the executable files used to launch each CorelCAD module.

[Registration] section

This section records user profile information when the CorelCAD suite is registered during installation.

[DisplayInfo] section

Represents values for the ruler setup settings in CorelCAD.

[Scanner] section

Sets the file data transfer method. Default mode = 1 for direct file transfer. Set mode to 0 for file transfer from memory.

[OPEN File dialog] section

Sets the global values for file I/O, importing and exporting.

[Import] section

Sets the global values for file I/O, importing and exporting.

[Export] section

Sets the global values for file I/O, importing and exporting.


CORELDRW.DOT

Contains rows of numbers which define the Dashed and Dotted line styles available in the Outline Pen dialog box. By editing these definitions you can change the appearance of the corresponding line style. You can also add up to 25 definitions of your own for a total of 40 line styles. Before editing this file, make a backup copy of it somewhere, just in case you need to access the original default values.

Defining a Dashed and Dotted line style

When you open up the CORELDRW.DOT file in your ASCII editor, you will see rows of numbers. Each row represents a line definition, and contains anywhere from 3 to 11 numbers.

nNumbers  n,1DotLength  n1,SpaceLength  n2,DotLength  n2SpaceLength..... n5DotLength  n5SpaceLength

where:

n Numbers	the number of elements (both dots/dashes and spaces) that define the line style. This must be a value between 2 and 10
nxDotLength	the length of the dot/dash. A value of 1 yields a dot, anything greater yields a dash
nxSpaceLength	the length of the spaces between the dots/dashes

To create a line style, specify the length of the dots/dashes and the gaps between them. Dots are created by defining short dashes (one unit wide) and then specifying Round as their Line Cap style in the Outline Pen dialog box. Perfectly-round dots are not currently available in CorelCAD. However, unless your line is quite heavy, the dots should appear round. Definitions consisting of more than three numbers in a row, define lines made up of dots, spaces and dashes of varying lengths. You can define lines with up to 10 elements (dot/dashes and spaces). When these lines are used in a drawing, the line pattern is followed left to right through the definition, and then repeated through the length of the line.

Example

2 1 5

Defines a line consisting of are 2 elements. The first element is a dot (since it is only one unit wide) followed by a five unit-wide space. These units are relative to the line's width, which is considered to be 1.

To alter the spacing between the dots in this example, change the number 5. Similarly, to create a dashed line with equal dash and space widths, change the 1 to a 5 in this example.


Import Filter Information
Import file formats

Click [image] for technical information about Corel's import formats.

 AutoCAD DXF (*.DXF)

 HP Plotter HPGL (*.PLT)

 Windows Metafile (*.WMF)

 AutoCAD R13 (*.DWG)

 Importing SAT (*.SAT)


Importing Windows Metafile
Importing Windows Metafile (*.WMF)

•	The WMF filter does not support all the entities that can be stored in a metafile.

The entities supported are as follows :

Lines

Rectangle

Round Rects (The round rectangle currently approximates the shape by using 8 straight lines.)

Ellipse

Polygon

Polyline

PolyPolygon

Arc

Text

Any entity that is not support by the filter will be ignored during import.

•	Filled regions are not supported by the filter, outlines only will be imported.

•	Imported WMF files take on the colour of the current layer.


Importing HP Plotter
Importing HP Plotter HPGL (*.PLT)

•	CorelCAD does not support HPGL/2 files.

•	If you attempt an HPGL/2 import, either the import will fail with message, or HPGL codes may be displayed as imported text.


Importing AutoCAD
Importing AutoCAD (*.DXF)

•	The DXF filters will only work with AutoCAD 12 entities. Certain AutoCAD 13 entities, such as ellipses, Bezier curves, Under and Overline Text and solid objects will not be supported.

•	Other entities which have no equivalent in CorelCAD will be ignored during import:

Viewports

Xlines and ray

Mtext

Regions

Tolerance

Leader

OLE frames

Mline

Arrowheads

•	Because DXF does not support solids, exporting solid information will create triangulated surfaces (facets) to represent these objects. CorelCAD’s 30,000 object limit can be easily reached in files with many solid objects, and/or with high refinements. Re-importing an exported DXF may not be possible, always keep the original CCD file for editing.

•	Polylines and polylines with line thicknesses will import as wire objects

•	Line styles are not retained on import. Once in CorelCAD, a new linetype attribute must be added.

•	The layer names and colors within a DXF file are lost during import into CorelCAD. A new name for the layer will be generated by the program. The layer structure and the object on the layers will be left intact

•	Grouped objects lose their grouping information when imported into CorelCAD.  Blocks will work correctly, and will import as a CorelCAD group.

•	Dimensions in AutoCAD R13 generated DXF files will product unexpected results.


Importing AutoCAD R13 (*.DWG)

•	The following AutoCAD R13 features have no equivalent in CorelCAD and are not supported by the import filter:

Viewports

Xlines and Rays

Mtext

Regions

Tolerance

Leader

OLE frames

Mline

Arrowheads

External references

•	Polylines and polylines with line thicknesses will import as wire objects

•	Line styles are not retained on import. Once in CorelCAD, a new linetype attribute must be added.

•	DWG files from AutoCAD r13 which include a file header, will display the header in the preview box in the Import dialogue

•	Grouped objects lose their grouping information when imported into CorelCAD.  Blocks will work correctly, and will import as a CorelCAD group.

•	Up and Down Text is not supported. There will be a problem with the rotation of the letters.


Importing SAT

•	As color is an application specific features, CorelCAD does not recognize object colors imported from other applications.

•	CorelCAD supports SAT versions 1.5, 1.6, and 1.7. Version 1.4 SAT files may import into CorelCAD but unexpected results may occur.

•	SAT imports into CorelCAD may take a long time due to the facetting on complex objects. If you encounter a "System Stopped Responding" message, please ignore. The import will continue to progress.


Export Filter Information
Export file formats

Click [image] for technical information about Corel 6.0's export formats.

 AutoCAD DWG (*.DWG)

 AutoCAD DXF (*.DXF)

 CALS Compressed Bitmap (*.CAL)

 Compuserve Bitmaps (*.GIF)

 CorelPHOTO-PAINT (*.CPT)

 JPEG Bitmaps (*.JPG, *.JFF, *.JTF)

 MACPaint Bitmap (*.MAC)

 OS/2 Bitmaps (*.BMP)

 PaintBrush (*.PCX)

 ACIS SAT (*.SAT)

 SCITEX (*.CT, *.SCT)

 Targa Bitmaps (*.TGA, *.VGA, *.ICB, *.VST)

 TIFF Bitmaps (*.TIF, *.SEP)

 Wavelet Compressed Bitmap (*.WVL)

 Windows Metafile (*.WMF)

 Windows 3.0 Bitmaps (*.BMP, *.DIB, *.RLE)


Exporting AutoCAD DWG
Exporting AutoCAD (*.DWG)

•	The following CorelCAD entities will not be supported by the export filter:

Dimensions

Arrowheads

Leader text

•	CorelCAD groups are not supported when exported to DWG


Exporting AutoCAD
Exporting AutoCAD (*.DXF)

•	The following CorelCAD entities will not be supported by the export filter:

Dimensions

Arrowheads

Leader text

•	Because DXF does not support solids, exporting solid information will create triangulated surfaces (facet) to represent these objects. CorelCAD’s 15,000 object limit can be easily reached in files with many solid objects, and/or with high refinements. Re-importing an exported DXF may not be possible. It is suggested that if you are exporting a CorelCAD file for use in other programs, such as Corel DREAM 3D, that you keep the original CCD file for future editing.

•	If exporting a DXF file for use in Corel DREAM 3D, use the "Export Objects to Unique Layers" control. This will import the file into Corel DREAM 3D so that each object is a separate entity in Corel DREAM 3D. Importing a DXF that was exported with this enabled, will import into CorelCAD incorrectly. All objects will import into CorelCAD on ‘Entity Layer 0’.

•	CorelCAD groups are not support when exported to DXF


Exporting Bitmaps
Exporting Bitmaps (*.BMP, *.GIF, *.CPT, *.JPG, *.MAC, *.PCX, *.SCT, *.TGA, *.TIF, *.WVL)

Saves drawings as bitmap graphics. You can use bitmaps of various formats in desktop publishing programs such as Corel VENTURA. You can also edit them in paint programs such as CorelPHOTO-PAINT and PC Paintbrush.

Scaling Bitmaps

Bitmaps are mapped pixel by pixel to the page, so if you enlarge a bitmap in another application the resolution will not increase. What you see will be an apparent loss of resolution, your bitmap will become "jagged". If you shrink a bitmap, the result should be acceptable, but you will be wasting disk space storing information which is not used. A common rule of thumb is to sample bitmaps to size, with two pixels of information for every one line of screen. If your picture will print on a high resolution printer with a 150 line screen you'd sample your photo to 300 dpi resolution.

File Size

To avoid unnecessarily large bitmap files (a full page at 300 dpi uncompressed can take several megabytes of disk space), scale the graphic so that it's the same size as the space it will occupy in your word processing or page layout package or change the destination size in the dialog box.

1:1 size

The 1:1 size of the bitmap is the actual size of the current window. This means that your window layout will affect the 1:1 size of the bitmap. Any other size you specify in the bitmap export  dialog will cause the image to fit on the page, sized to best fit the X or the Y plane, which ever limit is first hit, and adding whitespace to the other plane.


Exporting ACIS SAT (.SAT)

•	As color is an application specific feature, other applications will not recognize colors of objects created in CorelCAD.


Exporting Windows Metafile (.WMF)

•	The WMF filter will export everything as lines.

•	2D Text is not supported by the filter.

•	Exporting a Hidden Line version of your drawing will use the options from the application. (For example, if you want to export the drawing with Hidden Lines as dotted lines, you will have to change the setting before exporting.)

•	CorelDRAW imports the "Hidden Lines as dotted lines" export, at a very high resolution resulting in slow redraws. The workaround for this is:

1.	Import WMF.

2.	Cancel the redraw by pressing a key.

3.	Select by type [image] dotted lines.

4.	Using the Pen Roll-Up, change the line style of selected objects to a lower resolution.

•	When exporting a Hidden Line version of the drawing, if the facets on the drawing exceed the 15,000 object limit, you will receive the message "Too many facets to evaluate. Try reducing refinements." Reducing refinements will remove some detail from the drawing, and will reduce the facets for export.